//Created by Sleebu, Magma and ber$$erker
UI.AddSliderInt("Static legs fakelag", 6, 15);
UI.SetValue("Script items", "Static legs fakelag", 12)
function exploitsActive(){
    return (UI.IsHotkeyActive("Rage", "GENERAL", "Exploits", "Hide shots") || UI.IsHotkeyActive("Rage", "GENERAL", "Exploits", "Doubletap"));
}
function isInAir(){
    var fv = Entity.GetProp(Entity.GetLocalPlayer(), "CBasePlayer", "m_flFallVelocity");
    if(fv < -1 || fv > 1) return true;
    return false;
}
function staticLegs(){
    if(!Entity.IsAlive(Entity.GetLocalPlayer())) return;
    if (Input.IsKeyPressed(0x20) || isInAir() || exploitsActive("all")) return;
    var fakelag = UI.GetValue("Script items", "Static legs fakelag");
    UI.SetValue("Anti-Aim", "Fake-Lag", "Jitter", 0);
    UI.SetValue("Anti-Aim", "Fake-Lag", "Triggers", 0);
    switch (Globals.Tickcount() % fakelag) {
        case 0:
            UI.SetValue("Anti-Aim", "Fake-Lag", "Limit", fakelag)
            UI.SetValue("Misc", "GENERAL", "Movement", "Slide walk", 1)
            break;
        case fakelag - 1:
            UI.SetValue("Anti-Aim", "Fake-Lag", "Limit", 0)
            UI.SetValue("Misc", "GENERAL", "Movement", "Slide walk", 1)
            UserCMD.SetMovement([0, 0, 0]);
    }
}
Global.RegisterCallback("CreateMove", "staticLegs");